org.apache.xmlbeans

## Interface ObjectFactory

-     public interface ObjectFactory

  generic interface to abstract creation of an object

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `createObject(Class type)` Given the type, create an object of that type.

- - ### Method Detail

    - #### createObject

          Object createObject(Class type)

      Given the type, create an object of that type. Note that the return object might be a subclass of type, but should always be an instanceof type.
      Parameters:
        `type` - type of object to create
      Returns:
        instance